Subject: Re: PoPy python module
From: Sherwood Robinson <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Jun 2001 11:12:01 -0400

Thanks a mint I will give it a try in a bit.

SR

At 10:47 AM 6/7/2001 -0400, Jason Tishler wrote:
>Sherwood,
>
>On Thu, Jun 07, 2001 at 09:19:02AM -0400, Sherwood Robinson wrote:
> > Anyone experienced compiling the PoPy
> > (http://sourceforge.net/projects/popy) python module for PostgreSQL DB API
> > 2.0 compliant.
> >
> > It is giving me  quite the time trying to get this to compile.
> >
> > any help would be appreciated.
>
>I just tried it and I was successful building and running PoPy-3.0-beta1:
>
>     $ python
>     Python 2.1 (#1, Apr 17 2001, 09:45:01)
>     [GCC 2.95.3-2 (cygwin special)] on cygwin_nt-4.01
>     Type "copyright", "credits" or "license" for more information.
>     >>> import PoPy
>     >>> c = PoPy.connect('user=jt dbname=sanman', 1)
>     >>> cursor = c.cursor()
>     >>> cursor.execute('select * from pg_user')
>     >>> cursor.fetchall()
>     [('jt', 1004, 1, 1, 1, 1, '********', None), ('postgres', 1005, 1, 0, 
> 1, 1, '********', None)]
>
>Unfortunately, this process uncovered some issues:
>
>1. The attached patch needs to be applied in order for PoPy to build
>cleanly under Cygwin (and Win32 if appropriate).  Note that the essence
>of this patch is very common -- I have submitted numerous ones that are
>now part of Python CVS and to other projects such as python-ldap.
>
>I recommend that you submit this patch to PoPy for consideration to be
>included in PoPy CVS.
>
>The procedure to apply the patch is as follows:
>
>     $ # save the attachment to /tmp
>     $ cd PoPy-3.0-beta1
>     $ patch -p1 </tmp/PoPy-3.0-beta1.patch
>
>2. It appears that PoPy is attempting to include files that are not
>part of the Cygwin PostgreSQL distribution.  Note that I produced this
>distribution using the typical "make install".  Hence, I am currently
>at a loss as to why these files are missing.  I am going to attempt to
>find out whether or not these files are truly missing or that PoPy is
>incorrectly including files that are really only part of the source tree.
>If files are missing from the Cygwin PostgreSQL distribution, then I
>re-release the distribution with the missing files included.
>
>Nevertheless, if you download and unpack PostgreSQL 7.1.2 and create the
>following symlinks, then you should be able to build PoPy yourself:
>
>     $ ln -s ~/src/postgresql-7.1.2/src/include/utils 
> /usr/include/postgresql/utils
>     $ ln -s ~/src/postgresql-7.1.2/src/include/catalog 
> /usr/include/postgresql/catalog
>     $ ln -s ~/src/postgresql-7.1.2/src/include/postgres.h 
> /usr/include/postgresql/postgres.h
>
>Note that the above assumes that PostgreSQL 7.1.2 is unpacked in ~/src -- you
>may need to adjust the above commands to match your environment.
>
>Jason
>
>--
>Jason Tishler
>Director, Software Engineering       Phone: 732.264.8770 x235
>Dot Hill Systems Corp.               Fax:   732.264.8798
>82 Bethany Road, Suite 7             Email: [email-masked]
>Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

----------------------------------------------------
Sherwood Robinson
Hostmaster
The Free Lance-Star/Internet Department
[email-masked]
http://www.fredericksburg.com

616 Amelia St.
Fredericksburg, VA 22401
540-374-5000 ext. 5657

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple